package com.ss.android.ugc.aweme.global.config.settings.pojo;

import X.C49504Ek;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public class WelcomePageTextStruct {
    @c(LIZ = "description")
    public String description;
    @c(LIZ = "image_url")
    public String imageUrl;
    @c(LIZ = "page_num")
    public Integer pageNum;
    @c(LIZ = "title")
    public String title;

    static {
        Covode.recordClassIndex(82932);
    }

    public String getDescription() {
        String str = this.description;
        if (str != null) {
            return str;
        }
        throw new C49504Ek();
    }

    public String getImageUrl() {
        String str = this.imageUrl;
        if (str != null) {
            return str;
        }
        throw new C49504Ek();
    }

    public Integer getPageNum() {
        Integer num = this.pageNum;
        if (num != null) {
            return num;
        }
        throw new C49504Ek();
    }

    public String getTitle() {
        String str = this.title;
        if (str != null) {
            return str;
        }
        throw new C49504Ek();
    }
}
